Bug 196632 - Unknown attribute breaks other editor functionality
Unknown attribute breaks other editor functionality
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
7.0
PC Windows Vista
: P2 (vote)
: 7.0
Assigned To: Marek Fukala
issues@javaee
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-12 23:55 UTC by bht
Modified: 2011-03-17 15:12 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Testcase (512 bytes, text/html)
2011-03-12 23:55 UTC, bht
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bht 2011-03-12 23:55:43 UTC
Created attachment 106945 [details]
Testcase

If a tag has an unknown atribute but otherwise the file is valid then the editor shows an error not a warning as in IDE 6.9.1

I cannot avoid unknown attributes avoid because these are used by Dojo etc.

It appears that the annotations that contract and expand elements in a tree like fashion are missing as a result, and the file is invalid.

Sure it is not completely valid but the behavior of the editor should not be affected.
Comment 1 Marek Fukala 2011-03-14 10:15:34 UTC
still valid in 7.0, the annotation type is error, but it's supposed to be warning only... strange
Comment 2 Marek Fukala 2011-03-14 13:27:38 UTC
fixed in web-main#758b20711e22. All html validator issues are now considered at most as warnings.

Since the fix is 110% safe and the impact may be quite disturbing I would like to fix in 7.0.
Comment 3 Quality Engineering 2011-03-15 09:49:29 UTC
Integrated into 'main-golden', will be available in build *201103150400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/758b20711e22
User: Marek Fukala <mfukala@netbeans.org>
Log: #196632 - Unknown attribute breaks other editor functionality
Comment 4 bht 2011-03-16 06:47:06 UTC
Definitely works now. No other issues as far as I can see.

Many thanks!
Comment 5 Marek Fukala 2011-03-16 13:53:32 UTC
Vladimire, can you please verify? Thanks.
Comment 6 Vladimir Riha 2011-03-16 14:16:32 UTC
verified
Comment 7 Marek Fukala 2011-03-17 15:12:29 UTC
fixed in 7.0 http://hg.netbeans.org/releases/rev/8c3be0c769e0


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo